 <table style="margin-bottom:2px; margin-top:-2px; float:left; width:100%;">
    <tr class="datagrid-pager">
      <td colspan="2">
        <div style="clear:both; display:none; margin-left:auto; margin-right:auto; float left; width:400px;"></div>
        <div class="datagrid-pager pagination" style="vertical-align:central; text-align:left;">
          <table style="text-align:left; float:left; width:650px; height:30px; vertical-align:central !important; padding:0px; margin-left:30px;">
            <tbody>
              <tr>
                <td style="width:140px;">
                  <span>
                    Quantity: 20
                  </span>
                </td>
                <td>
                  <div class="pagination-btn-separator"></div>
                </td>
                <td>
                  <a href = "javascript:void(0);" onclick="page_url(page='1')" class="l-btn l-btn-plain">
                    <span class="l-btn-left">
                      <span class="l-btn-text">
                        <span class="l-btn-empty pagination-first">&nbsp;</span>
                      </span>
                    </span>
                  </a>
                </td>
                <td>
                  {% if paginator.has_previous %}
                  <!-- <a href="?page={{ paginator.previous_page_number }}" class="l-btn l-btn-plain"> -->
                  <a href = "javascript:void(0);" onclick="page_url(page='{{ paginator.previous_page_number }}')" class="l-btn l-btn-plain">
                    <span class="l-btn-left">
                      <span class="l-btn-text">
                        <span class="l-btn-empty pagination-prev">&nbsp;</span>
                      </span>
                    </span>
                  </a>
                  {% else %}
                  <a href="" class="l-btn l-btn-plain">
                    <span class="l-btn-left">
                      <span class="l-btn-text">
                        <span class="l-btn-empty pagination-prev">&nbsp;</span>
                      </span>
                    </span>
                  </a>
                  {% endif %}
                </td>
                <td>
                  <div class="pagination-btn-separator"></div>
                </td>
                <td>
                  <span style="padding-left:6px;">Page</span></td>
                <td>
                  <input class="pagination-num" type="text" id="page-num" value="{{ current_page }}" size="4" width="50px" onkeypress="CheckEnter(event)">
              	</td>
                <td>
                  <span style="padding-right:6px;">of&nbsp;&nbsp;{{ total_pages }}</span></td>
                <td>
                  <div class="pagination-btn-separator"></div>
                </td>
                <td>
                  {% if paginator.has_next %}
                  <!-- <a href="?page={{ paginator.next_page_number }}" class="l-btn l-btn-plain"> -->
                  <a href = "javascript:void(0);" onclick="page_url(page='{{ paginator.next_page_number }}')" class="l-btn l-btn-plain">
                    <span class="l-btn-left">
                      <span class="l-btn-text">
                        <span class="l-btn-empty pagination-next">&nbsp;</span>
                      </span>
                    </span>
                  </a>
                  {% else %}
                  <a href="" class="l-btn l-btn-plain" id="A1">
                    <span class="l-btn-left">
                      <span class="l-btn-text">
                        <span class="l-btn-empty pagination-next">&nbsp;</span>
                      </span>
                    </span>
                  </a>
                  {% endif %}
                </td>
                <td>
                  <a href = "javascript:void(0);" onclick="page_url(page='{{ total_pages }}')" class="l-btn l-btn-plain">
                    <span class="l-btn-left">
                      <span class="l-btn-text">
                        <span class="l-btn-empty pagination-last">&nbsp;</span>
                      </span>
                    </span>
                  </a>
                </td>
                <td>
                  <div class="pagination-btn-separator"></div>
                </td>
                <td>
                  <a href="" class="l-btn l-btn-plain" id="A4">
                    <span class="l-btn-left">
                      <span class="l-btn-text">
                        <span class="l-btn-empty pagination-load">&nbsp;</span>
                      </span>
                    </span>
                  </a>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="pagination-info" style="margin-right:30px !important;">
          	{{ total_items }} items
          </div>
          <div style="clear: both;"></div>
      </div>
    </td>
  </tr>
</table>

<script>
function CheckEnter(e) {
    if (e.keyCode == 13) {
        page = document.getElementById('page-num').value
        page_url(page)
    }
}
function page_url(page)
{
    url = window.location.href
    if(location.search)
    {
      url = delParam(window.location.href, 'page')
    }
    window.location.href = addParam(url, 'page', page)
}
</script>
